Zapier: Get Candidate Sample
curl --request GET \
--url https://api.stardex.ai/zapier/zap-candidate-sample \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.stardex.ai/zapier/zap-candidate-sample"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.stardex.ai/zapier/zap-candidate-sample', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"candidate_id": "<string>",
"candidate_job_status": "<string>",
"person_id": "<string>",
"person_full_name": "<string>",
"person_current_title": "<string>",
"person_current_company": "<string>",
"person_linkedin_location": "<string>",
"person_image_url": "<string>",
"person_linkedin_url": "<string>",
"person_recruiter_url_1": "<string>",
"person_recruiter_url_2": "<string>",
"person_linkedin_public_id": "<string>",
"person_linkedin_recruiter_id_1": "<string>",
"person_linkedin_recruiter_id_2": "<string>",
"job_id": "<string>",
"job_name": "<string>",
"job_company": "<string>",
"job_notes": "<string>",
"sourced_by_team_member_name": "<string>",
"person_owner": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"stardex_profile_link": "<string>",
"resume_url": "<string>",
"resume_filename": "<string>",
"custom_fields": [
{
"id": "<string>",
"name": "<string>",
"type": "<string>",
"value": "<string>",
"values": [
"<string>"
]
}
],
"custom_fields_text": "<string>"
}
]{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}Zapier Endpoints
Zapier: Get Candidate Sample
Returns the latest candidate data for Zapier trigger testing. Falls back to sample data if no candidates exist.
GET
/
zapier
/
zap-candidate-sample
Zapier: Get Candidate Sample
Authorizations
Authenticate with a Bearer token: API key, OAuth token, or session token.
Query Parameters
Response
Candidate sample retrieved successfully
Show child attributes
Show child attributes
Was this page helpful?